project.version = "$version"
project.group = "$group"

apply from: "$publishGradlePath"

kotlin {
    jvm()
    js (IR) {
        browser()
        nodejs()
    }
    android {
        publishAllLibraryVariants()
    }

    sourceSets {
        commonMain {
            dependencies {
                implementation libs.kotlin.std
                api libs.kotlin.serialization
            }
        }
        commonTest {
            dependencies {
                implementation kotlin('test-common')
                implementation kotlin('test-annotations-common')
            }
        }
        jvmTest {
            dependencies {
                implementation kotlin('test-junit')
            }
        }
        jsTest {
            dependencies {
                implementation kotlin('test-js')
                implementation kotlin('test-junit')
            }
        }
        androidTest {
            dependencies {
                implementation kotlin('test-junit')
                implementation libs.androidx.test.junit
                implementation libs.androidx.espresso
            }
        }
    }
}

apply from: "$defaultAndroidSettingsPresetPath"

java {
    sourceCompatibility = JavaVersion.VERSION_1_8
    targetCompatibility = JavaVersion.VERSION_1_8
}
